from django.contrib import admin
from opportunities.models import Opportunity, Note, OpportunityList, SourcePackage

class NoteInline(admin.TabularInline):
    model = Note
    extra = 1
    raw_id_fields = ('author', )

class OpportunityAdmin(admin.ModelAdmin):
    list_display = ('description', 'sourcepackage', 'opportunitylist', 'last_updated', 'note_set')
    list_filter = ('opportunitylist', 'last_updated')
    inlines = [NoteInline]

class OpportunityListAdmin(admin.ModelAdmin):
    list_display = ('name', 'description', 'last_updated', 'active')
    list_filter = ('last_updated', 'active')

class SourcePackageAdmin(admin.ModelAdmin):
    list_display = ('name', )

admin.site.register(Opportunity, OpportunityAdmin)
admin.site.register(OpportunityList, OpportunityListAdmin)
admin.site.register(SourcePackage, SourcePackageAdmin)
